summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorClément Bœsch <cboesch@gopro.com>2017-05-05 09:19:41 +0200
committerClément Bœsch <cboesch@gopro.com>2017-05-05 09:27:18 +0200
commitf5218b27c4f8ad06dfd6f491362c027d37ab85ce (patch)
treea95777dfd6f3762333cbb2dcdf663f5431022fec /tests
parenta5fdda79eee0b195ef4958193d17e68b820c8856 (diff)
parent35d1f726eb9fdd376ab900587fb02122b72f2b9a (diff)
Merge commit '35d1f726eb9fdd376ab900587fb02122b72f2b9a'
* commit '35d1f726eb9fdd376ab900587fb02122b72f2b9a': fate: Add --ignore-tests configure option for omitting specific FATE tests Merged-by: Clément Bœsch <cboesch@gopro.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile4
-rwxr-xr-xtests/fate-run.sh9
-rwxr-xr-xtests/fate.sh1
3 files changed, 11 insertions, 3 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 66d99106ff..ab83ae855d 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -212,12 +212,14 @@ FATE_UTILS = base64 tiny_psnr tiny_ssim audiomatch
TOOL = ffmpeg
+$(addprefix fate-, $(IGNORE_TESTS)): REPORT=ignore
+
fate:: $(FATE)
$(FATE) $(FATE_TESTS-no): export PROGSUF = $(PROGSSUF)
$(FATE) $(FATE_TESTS-no): $(FATE_UTILS:%=tests/%$(HOSTEXESUF))
@echo "TEST $(@:fate-%=%)"
- $(Q)$(SRC_PATH)/tests/fate-run.sh $@ "$(TARGET_SAMPLES)" "$(TARGET_EXEC)" "$(TARGET_PATH)" '$(CMD)' '$(CMP)' '$(REF)' '$(FUZZ)' '$(THREADS)' '$(THREAD_TYPE)' '$(CPUFLAGS)' '$(CMP_SHIFT)' '$(CMP_TARGET)' '$(SIZE_TOLERANCE)' '$(CMP_UNIT)' '$(GEN)' '$(HWACCEL)'
+ $(Q)$(SRC_PATH)/tests/fate-run.sh $@ "$(TARGET_SAMPLES)" "$(TARGET_EXEC)" "$(TARGET_PATH)" '$(CMD)' '$(CMP)' '$(REF)' '$(FUZZ)' '$(THREADS)' '$(THREAD_TYPE)' '$(CPUFLAGS)' '$(CMP_SHIFT)' '$(CMP_TARGET)' '$(SIZE_TOLERANCE)' '$(CMP_UNIT)' '$(GEN)' '$(HWACCEL)' '$(REPORT)'
fate-list:
@printf '%s\n' $(sort $(FATE))
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 3e8d43c930..0cf31e9477 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -24,6 +24,7 @@ size_tolerance=${14:-0}
cmp_unit=${15:-2}
gen=${16:-no}
hwaccel=${17:-none}
+report_type=${18:-standard}
outdir="tests/data/fate"
outfile="${outdir}/${test}"
@@ -362,13 +363,17 @@ if test -e "$ref" || test $cmp = "oneline" || test $cmp = "grep" ; then
esac
cmperr=$?
test $err = 0 && err=$cmperr
- test $err = 0 || cat $cmpfile
+ if [ "$report_type" = "ignore" ]; then
+ test $err = 0 || echo "IGNORE fate-${test}" && err=0
+ else
+ test $err = 0 || cat $cmpfile
+ fi
else
echo "reference file '$ref' not found"
err=1
fi
-if [ $err -eq 0 ]; then
+if [ $err -eq 0 ] && test $report_type = "standard" ; then
unset cmpo erro
else
cmpo="$($base64 <$cmpfile)"
diff --git a/tests/fate.sh b/tests/fate.sh
index 3e106b7181..0edee7f22e 100755
--- a/tests/fate.sh
+++ b/tests/fate.sh
@@ -49,6 +49,7 @@ configure()(
--enable-gpl \
--enable-memory-poisoning \
--enable-avresample \
+ ${ignore_tests:+--ignore-tests="$ignore_tests"} \
${arch:+--arch=$arch} \
${cpu:+--cpu="$cpu"} \
${toolchain:+--toolchain="$toolchain"} \